Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153248 - ieee1394 smp hang with kudzu
Summary: ieee1394 smp hang with kudzu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-04 00:53 UTC by Evan Rempel
Modified: 2015-01-04 22:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-20 04:54:33 UTC


Attachments (Terms of Use)

Description Evan Rempel 2005-04-04 00:53:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
even with 
alias ieee1394-controller ohci1394
in the /etc/modprobe.conf file, when running kudzu, the system hangs.

If the module directory /lib/modules/2.6.10-1.770_FC3smp/kernel/drivers/ieee1394 is removed or renamed, then kudzu does not hang the system.


Version-Release number of selected component (if applicable):
kudzu-1.1.95-1 kernel-smp-2.6.10-1.770_FC3

How reproducible:
Always

Steps to Reproduce:
1. Boot to runlevel 2
2. /etc/init.d/kudzu start
  

Actual Results:  System hangs.

Expected Results:  New hardware is checked and prompt is returned.

Additional info:

Hardware is Tyan Thunder 2500 motherboard, Nvidia GForce4 Ti 4200.
This motherboard is a Serverworks III HE chipset with LSI SCSI.

Possibly related, cups also locks the system.
The system boots fine and runs X fine if kudzu and cups are not loaded.

The motherboard does not have ieee1394 at all.
running kudzu -s does not help. noacpi does not help.

[root@localhost ~]# lspci
00:00.0 Host bridge: ServerWorks CNB20-LE Host Bridge (rev 22)
00:00.1 PCI bridge: ServerWorks CNB20-LE Host Bridge (rev 01)
00:00.2 Host bridge: ServerWorks CNB20HE Host Bridge
00:00.3 Host bridge: ServerWorks CNB20HE Host Bridge
00:01.0 SCSI storage controller: LSI Logic / Symbios Logic 53c1010 Ultra3 SCSI Adapter (rev 01)
00:01.1 SCSI storage controller: LSI Logic / Symbios Logic 53c1010 Ultra3 SCSI Adapter (rev 01)
00:02.0 Multimedia audio controller: Ensoniq ES1371 [AudioPCI-97] (rev 09)
00:07.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 08)
00:0f.0 ISA bridge: ServerWorks OSB4 South Bridge (rev 4f)
00:0f.1 IDE interface: ServerWorks OSB4 IDE Controller
00:0f.2 USB Controller: ServerWorks OSB4/CSB5 OHCI USB Controller (rev 04)
01:00.0 VGA compatible controller: nVidia Corporation NV25 [GeForce4 Ti 4200] (rev a3)

[root@localhost ~]# lsmod
Module                  Size  Used by
autofs4                21829  0
i2c_dev                13249  0
i2c_core               24513  1 i2c_dev
sunrpc                135077  1
nvidia               3927580  12
md5                     8001  1
ipv6                  236897  10
raid1                  19393  1
ohci_hcd               24277  0
snd_ens1371            26529  1
snd_rawmidi            26849  1 snd_ens1371
snd_seq_device         12237  1 snd_rawmidi
snd_ac97_codec         68513  1 snd_ens1371
snd_pcm_oss            51573  0
snd_mixer_oss          21313  1 snd_pcm_oss
snd_pcm                89541  3 snd_ens1371,snd_ac97_codec,snd_pcm_oss
snd_timer              27077  1 snd_pcm
snd                    54821  10 snd_ens1371,snd_rawmidi,snd_seq_device,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              12961  1 snd
snd_page_alloc         13509  1 snd_pcm
gameport                8513  1 snd_ens1371
e100                   35905  0
mii                     8641  1 e100
floppy                 56913  0
dm_snapshot            20709  0
dm_zero                 6465  0
dm_mirror              24861  2
reiserfs              228757  7
dm_mod                 57925  9 dm_snapshot,dm_zero,dm_mirror
sym53c8xx              73689  5
scsi_transport_spi     17473  1 sym53c8xx
sd_mod                 20545  8
scsi_mod              115777  3 sym53c8xx,scsi_transport_spi,sd_mod

Comment 1 Dave Jones 2005-07-15 18:47:56 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 2 Evan Rempel 2005-07-16 00:46:56 UTC
The kernel kernel-2.6.12-1.1372_FC3 panics with the message

insmod: error inserting /lib/raid5.ko: -1 Unknown symbol in module

I don't have a /lib/raid5.ko file. The closest appropriate file is
/lib/modules/2.6.11-1.35_FC3smp/kernel/drivers/md/raid5.ko

Suggestions?

Comment 3 Dave Jones 2005-07-16 02:14:55 UTC
Do this (in order)

ls -l /boot/initrd-2.6.12-1.1372_FC3.img
mv /etc/modprobe.conf /etc/modprobe.conf.old
rm -f /etc/sysconfig/hwconf
kudzu
mkinitrd /boot/initrd-2.6.12-1.1372_FC3.img 2.6.12-1.1372_FC3
ls -l /boot/initrd-2.6.12-1.1372_FC3.img

(the output from the two ls's should be different if my theory is correct).


Comment 4 Dave Jones 2005-10-03 01:04:31 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Comment 5 Evan Rempel 2005-12-18 05:44:00 UTC
I was unable to upgrade the kernel as the system became very unstable.
I was completely unable to install Fedora Core 4. I even tried doing and install
using a different hard drive controller, but that didn't work either. Fedora
Core 4 will simply not install on my motherboard.

I have gone back to fedora core 3, and with a masive up2date, I have no problem
with kudzu or cups.

I am still disappointed about Core 4, but the issue with this bug is no longer
reproducable.

Comment 6 Dave Jones 2005-12-20 04:54:33 UTC
ok, please file a separate bug about any fc4 issues.

thanks.



Note You need to log in before you can comment on or make changes to this bug.